Bug 258702 - sysutils/terragrunt: Update to 0.33.1
Summary: sysutils/terragrunt: Update to 0.33.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/gruntwork-io/terra...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-24 02:40 UTC by Gabriel Dutra
Modified: 2021-09-30 09:27 UTC (History)
3 users (show)

See Also:


Attachments
Update to 0.32.2 (1.21 KB, patch)
2021-09-24 02:40 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
GO_MODULES version patch (28.98 KB, patch)
2021-09-29 11:01 UTC, Nuno Teixeira
no flags Details | Diff
Update to 0.33.1 (29.05 KB, patch)
2021-09-30 02:19 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2021-09-24 02:40:34 UTC
Created attachment 228145 [details]
Update to 0.32.2

Tested on:

12.2-RELEASE-p9
12.2-RELEASE-p9
13.0-RELEASE-p3
13.0-RELEASE-p3
Comment 1 Mikael Urankar freebsd_committer 2021-09-24 16:03:23 UTC
GH_TUPLE was not updated, is that intentional?

You can use GO_MODULE= github.com/gruntwork-io/terragrunt
and get rid of USE_GITHUB, GH_ACCOUNT, GH_TUPLES and post-extract
Comment 2 Nuno Teixeira freebsd_committer 2021-09-29 10:57:42 UTC
(In reply to Mikael Urankar from comment #1)
Hello Mikael!

I didn't know of this method "GO_MODULE" that simplifies Makefile and no need to use "USE_GITHUB, GH_ACCOUNT, GH_TUPLE and post-extract".

I've tested it and it worked perfect.

Did I missed or should this be documented/included in Porter's Handbook?

I will go test this method on Go ports that I maintain.

Really apreciated!
Comment 3 Nuno Teixeira freebsd_committer 2021-09-29 11:01:07 UTC
Created attachment 228245 [details]
GO_MODULES version patch

Hello,

Can you take a look at this patch, GO_MODULES way?

build logs at:
https://people.freebsd.org/~eduardo/logs/terragrunt-0.32.2/
Comment 4 Mikael Urankar freebsd_committer 2021-09-29 11:36:05 UTC
(In reply to Nuno Teixeira from comment #2)
It's not documented AFAIK. This method doesn't work for every ports unfortunately.
Comment 5 Gabriel Dutra 2021-09-30 02:19:43 UTC
Created attachment 228267 [details]
Update to 0.33.1

Hi,

Thanks for the suggestion.

I created a new patch and update to 0.33.1.

Portlint: no errors.
Comment 6 commit-hook freebsd_committer 2021-09-30 09:21:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=574a94d706c6d5777819d5ace280acace2e4d5e8

commit 574a94d706c6d5777819d5ace280acace2e4d5e8
Author:     Gabriel Dutra <0xdutra@gmail.com>
AuthorDate: 2021-09-30 09:15:48 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-30 09:20:37 +0000

    sysutils/terragrunt: Update to 0.33.1

     - Use GO_MODULE instead of USE_GITHUB, GH_ACCOUNT, GH_TUPLE and
       post-extract

    ChangeLog:
            https://github.com/gruntwork-io/terragrunt/releases/tag/v0.33.1

    PR:             258702

 sysutils/terragrunt/Makefile | 135 +--------------------------
 sysutils/terragrunt/distinfo | 216 +------------------------------------------
 2 files changed, 8 insertions(+), 343 deletions(-)
Comment 7 Nuno Teixeira freebsd_committer 2021-09-30 09:27:34 UTC
Committed thanks!